Get an OAuth2/OpenID client application
get
Authorizations
defguard_sessionstringRequired
Path parameters
client_idstringRequired
ID of the OAuth2 client.
Responses
200
OAuth2 client details.
application/json
objectOptional
401
Session is missing or invalid.
application/json
404
OAuth2 client not found.
500
Unable to get OAuth2 client.
application/json
get/api/v1/oauth/{client_id}
GET /api/v1/oauth/{client_id} HTTP/1.1
Accept: */*
{
"client_id": "Kx7mQ2pR9tLvB4nZ",
"client_secret": "wY3hJ8sD1fG6kL0aP5vN2cX7bM4qR9tZ",
"enabled": true,
"id": 1,
"name": "internal app",
"redirect_uri": [
"https://app.example.com/callback"
],
"scope": [
"openid",
"profile",
"email"
]
}PreviousGet the claims of the authenticated userNextEnable or disable an OAuth2/OpenID client application
Last updated
Was this helpful?